Bug 343111 - multiarch conflicts in rlog
Summary: multiarch conflicts in rlog
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rlog   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-19 21:56 UTC by Bill Nottingham
Modified: 2014-03-17 03:10 UTC (History)
2 users (show)

Fixed In Version: rlog-1.4-5.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 01:03:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2007-10-19 21:56:09 UTC
rlog (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/share/doc/rlog-devel-1.3.7/html/Error_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/Lock_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/Mutex_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/RLogChannel_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/RLogNode_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/RLogPublisher_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/RLogTime_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/StdioNode_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/SyslogNode_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/annotated.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/channel.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1Error-members.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1Error.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1FileNode-members.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1FileNode.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1Lock-members.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1Lock.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1Mutex-members.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1Mutex.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1RLogChannel-members.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1RLogChannel.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1RLogModule-members.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1RLogModule.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1RLogNode-members.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1RLogNode.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1RLogPublisher-members.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1RLogPublisher.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1StdioNode-members.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1StdioNode.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1SyslogNode-members.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/classrlog_1_1SyslogNode.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/common_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/component.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/config_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/files.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/functions.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/functions_func.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/functions_rela.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/functions_vars.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/globals.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/globals_defs.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/group__RLogMacros.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/hierarchy.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/index.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/modules.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/pages.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/rlog-c99_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/rlog-novariadic_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/rlog-prec99_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/rlog_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/rlog_8h.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/rloginit_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/rloglocation_8h-source.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/structrlog_1_1ErrorData-members.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/structrlog_1_1ErrorData.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/structrlog_1_1PublishLoc-members.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/structrlog_1_1PublishLoc.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/structrlog_1_1RLogData-members.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/html/structrlog_1_1RLogData.html from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6
  file /usr/share/doc/rlog-devel-1.3.7/refman.pdf from install of rlog-devel-1.3.7-3.fc6 conflicts with file from package rlog-devel-1.3.7-3.fc6

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.

Comment 1 Bug Zapper 2008-05-14 03:38:18 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Milos Jakubicek 2009-04-29 01:03:36 UTC
I've just fixed the FTBFS of rlog in the F11 mass rebuild and together this issue. The docs are now *not* being rebuilt, hence they don't cause multiarch troubles (as they don't have different creation time). Will request freeze break later.


Note You need to log in before you can comment on or make changes to this bug.